package com.ynet.life.platform.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.action.LifeJDBCAction;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.platform.limit.ImLimitBsnProcessor;
import com.ynet.life.platform.limit.f;
import java.sql.Connection;

/* loaded from: com_ynet_life_platform_action.jar:com/ynet/life/platform/action/ImLimitBsnProcessAction.class */
public class ImLimitBsnProcessAction extends LifeJDBCAction {
    private String actionType;
    private String bankIdField;
    private String branchIdField;
    private String channelField;
    private String currencyTypeField;
    private String scopeField;
    private String bsnCodeField;
    private String bsnNameField;
    private String singleLimitField;
    private String singleLimitSttField;
    private String speSingleLimitField;
    private String speSingleLimitSttField;
    private String daySumLimitField;
    private String daySumLimitSttField;
    private String speDaySumLimitField;
    private String speDaySumLimitSttField;
    private String selfAvaiSingleLimitField;
    private String selfAvaiDaySumLimitField;
    private String subAvaiSingleLimitField;
    private String subAvaiDaySumLimitField;

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v1, types: [java.lang.Throwable, java.sql.Connection] */
    public String execute(Context context) throws GENEException {
        ?? connection = LifeDBAccess.getConnection(context);
        try {
            try {
                if ("Q".equals(this.actionType)) {
                    executeQuery(context, connection);
                } else if ("U".equals(this.actionType)) {
                    executeUpdate(context, connection);
                } else if ("I".equals(this.actionType)) {
                    executeInsert(context, connection);
                }
                LifeDBAccess.releaseConnection((Connection) connection);
                return "0";
            } catch (TranFailException e) {
                throw connection;
            }
        } catch (Throwable th) {
            LifeDBAccess.releaseConnection((Connection) connection);
            throw th;
        }
    }

    private void executeQuery(Context context, Connection connection) throws GENEException {
        f info = new f();
        info.a((String) context.getDataValue(this.bankIdField));
        info.b((String) context.getDataValue(this.branchIdField));
        info.c((String) context.getDataValue(this.channelField));
        info.d((String) context.getDataValue(this.currencyTypeField));
        info.e((String) context.getDataValue(this.scopeField));
        info.f((String) context.getDataValue(this.bsnCodeField));
        ImLimitBsnProcessor.a(connection, info);
        String singleLimit = info.h();
        String singleLimitStt = info.i();
        String speSingleLimit = info.j();
        String speSingleLimitStt = info.j();
        String daySumLimit = info.l();
        String daySumLimitStt = info.m();
        String speDaySumLimit = info.n();
        String speDaySumLimitStt = info.o();
        trySetContextValue(context, this.singleLimitField, singleLimit);
        trySetContextValue(context, this.singleLimitSttField, singleLimitStt);
        trySetContextValue(context, this.speSingleLimitField, speSingleLimit);
        trySetContextValue(context, this.speSingleLimitSttField, speSingleLimitStt);
        trySetContextValue(context, this.daySumLimitField, daySumLimit);
        trySetContextValue(context, this.daySumLimitSttField, daySumLimitStt);
        trySetContextValue(context, this.speDaySumLimitField, speDaySumLimit);
        trySetContextValue(context, this.speDaySumLimitSttField, speDaySumLimitStt);
        if (this.selfAvaiSingleLimitField != null && !"".equals(this.selfAvaiSingleLimitField)) {
            String selfAvaiSingleLimit = ImLimitBsnProcessor.b(singleLimit, speSingleLimit, speSingleLimitStt);
            context.setDataValue(this.selfAvaiSingleLimitField, selfAvaiSingleLimit);
        }
        if (this.selfAvaiDaySumLimitField != null && !"".equals(this.selfAvaiDaySumLimitField)) {
            String selfAvaiDaySumLimit = ImLimitBsnProcessor.b(daySumLimit, speDaySumLimit, speDaySumLimitStt);
            context.setDataValue(this.selfAvaiDaySumLimitField, selfAvaiDaySumLimit);
        }
        if (this.subAvaiSingleLimitField != null && !"".equals(this.subAvaiSingleLimitField)) {
            String subAvaiSingleLimit = ImLimitBsnProcessor.a(singleLimit, speSingleLimit, speSingleLimitStt);
            context.setDataValue(this.subAvaiSingleLimitField, subAvaiSingleLimit);
        }
        if (this.subAvaiDaySumLimitField != null && !"".equals(this.subAvaiDaySumLimitField)) {
            String subAvaiDaySumLimit = ImLimitBsnProcessor.a(daySumLimit, speDaySumLimit, speDaySumLimitStt);
            context.setDataValue(this.selfAvaiDaySumLimitField, subAvaiDaySumLimit);
        }
    }

    private void executeUpdate(Context context, Connection connection) throws GENEException {
        f info = new f();
        info.a((String) context.getDataValue(this.bankIdField));
        info.b((String) context.getDataValue(this.branchIdField));
        info.c((String) context.getDataValue(this.channelField));
        info.d((String) context.getDataValue(this.currencyTypeField));
        info.e((String) context.getDataValue(this.scopeField));
        info.f((String) context.getDataValue(this.bsnCodeField));
        info.h((String) context.getDataValue(this.singleLimitField));
        info.i((String) context.getDataValue(this.singleLimitSttField));
        info.j((String) context.getDataValue(this.speSingleLimitField));
        info.k((String) context.getDataValue(this.speSingleLimitSttField));
        info.l((String) context.getDataValue(this.daySumLimitField));
        info.m((String) context.getDataValue(this.daySumLimitSttField));
        info.n((String) context.getDataValue(this.speDaySumLimitField));
        info.o((String) context.getDataValue(this.speDaySumLimitSttField));
        ImLimitBsnProcessor.b(connection, info);
    }

    private void executeInsert(Context context, Connection connection) throws GENEException {
        String bankId = (String) context.getDataValue(this.bankIdField);
        String branchId = (String) context.getDataValue(this.branchIdField);
        ImLimitBsnProcessor.a(connection, bankId, branchId);
    }

    private void trySetContextValue(Context context, String fieldName, String value) throws GENEException {
        if (fieldName == null || "".equals(fieldName)) {
            return;
        }
        context.setDataValue(fieldName, value);
    }

    public String getActionType() {
        return this.actionType;
    }

    public void setActionType(String actionType) {
        this.actionType = actionType;
    }

    public String getBankIdField() {
        return this.bankIdField;
    }

    public void setBankIdField(String bankIdField) {
        this.bankIdField = bankIdField;
    }

    public String getBranchIdField() {
        return this.branchIdField;
    }

    public void setBranchIdField(String branchIdField) {
        this.branchIdField = branchIdField;
    }

    public String getChannelField() {
        return this.channelField;
    }

    public void setChannelField(String channelField) {
        this.channelField = channelField;
    }

    public String getCurrencyTypeField() {
        return this.currencyTypeField;
    }

    public void setCurrencyTypeField(String currencyTypeField) {
        this.currencyTypeField = currencyTypeField;
    }

    public String getScopeField() {
        return this.scopeField;
    }

    public void setScopeField(String scopeField) {
        this.scopeField = scopeField;
    }

    public String getBsnCodeField() {
        return this.bsnCodeField;
    }

    public void setBsnCodeField(String bsnCodeField) {
        this.bsnCodeField = bsnCodeField;
    }

    public String getBsnNameField() {
        return this.bsnNameField;
    }

    public void setBsnNameField(String bsnNameField) {
        this.bsnNameField = bsnNameField;
    }

    public String getSingleLimitField() {
        return this.singleLimitField;
    }

    public void setSingleLimitField(String singleLimitField) {
        this.singleLimitField = singleLimitField;
    }

    public String getSingleLimitSttField() {
        return this.singleLimitSttField;
    }

    public void setSingleLimitSttField(String singleLimitSttField) {
        this.singleLimitSttField = singleLimitSttField;
    }

    public String getSpeSingleLimitField() {
        return this.speSingleLimitField;
    }

    public void setSpeSingleLimitField(String speSingleLimitField) {
        this.speSingleLimitField = speSingleLimitField;
    }

    public String getSpeSingleLimitSttField() {
        return this.speSingleLimitSttField;
    }

    public void setSpeSingleLimitSttField(String speSingleLimitSttField) {
        this.speSingleLimitSttField = speSingleLimitSttField;
    }

    public String getDaySumLimitField() {
        return this.daySumLimitField;
    }

    public void setDaySumLimitField(String daySumLimitField) {
        this.daySumLimitField = daySumLimitField;
    }

    public String getDaySumLimitSttField() {
        return this.daySumLimitSttField;
    }

    public void setDaySumLimitSttField(String daySumLimitSttField) {
        this.daySumLimitSttField = daySumLimitSttField;
    }

    public String getSpeDaySumLimitField() {
        return this.speDaySumLimitField;
    }

    public void setSpeDaySumLimitField(String speDaySumLimitField) {
        this.speDaySumLimitField = speDaySumLimitField;
    }

    public String getSpeDaySumLimitSttField() {
        return this.speDaySumLimitSttField;
    }

    public void setSpeDaySumLimitSttField(String speDaySumLimitSttField) {
        this.speDaySumLimitSttField = speDaySumLimitSttField;
    }

    public String getSelfAvaiSingleLimitField() {
        return this.selfAvaiSingleLimitField;
    }

    public void setSelfAvaiSingleLimitField(String selfAvaiSingleLimitField) {
        this.selfAvaiSingleLimitField = selfAvaiSingleLimitField;
    }

    public String getSelfAvaiDaySumLimitField() {
        return this.selfAvaiDaySumLimitField;
    }

    public void setSelfAvaiDaySumLimitField(String selfAvaiDaySumLimitField) {
        this.selfAvaiDaySumLimitField = selfAvaiDaySumLimitField;
    }

    public String getSubAvaiSingleLimitField() {
        return this.subAvaiSingleLimitField;
    }

    public void setSubAvaiSingleLimitField(String subAvaiSingleLimitField) {
        this.subAvaiSingleLimitField = subAvaiSingleLimitField;
    }

    public String getSubAvaiDaySumLimitField() {
        return this.subAvaiDaySumLimitField;
    }

    public void setSubAvaiDaySumLimitField(String subAvaiDaySumLimitField) {
        this.subAvaiDaySumLimitField = subAvaiDaySumLimitField;
    }
}
